<?php
$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("_1a6a10bd09998ad0ae2" . "a2b4e0fd966e8" => base64_decode("U0NSSVBUX1V" . "SSQ=="), "_2aef71f103069bdb72b57d0b3bd1d2" . "94" => base64_decode("Q2Fubm90IGRpc3BsYXkgY29tbWVudHMgLSBwYWdlI" . "G5vdCBpZGVudGlmaWVk"), "_69c6236" . "c927bc93" . "c5d06207" . "4967d834" . "d" => base64_decode("cGFnZV92ZXJzaW9" . "u"), "page_" . "id" => base64_decode("cGF" . "nZV" . "9pZ" . "A=="));
class PublishCommentsComponent extends ClaCommentsComponent
{
    public function Show($attributes)
    {
        $_b2e2301cda45361416cebc466d340194 = PublishBrowser::Instance();
        $page_id = $_b2e2301cda45361416cebc466d340194->GetPageIdByUrl($_SERVER[$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_1a6a10bd09998ad0ae2a2b4e0fd96" . "6e8"]]);
        if ($page_id < 0) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_2aef71f103069bdb" . "72b57d0b3bd1d294"];
        }
        $attributes[$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["page" . "_id"]] = $page_id;
        return parent::Show($attributes);
    }
    public function GetCommentsObject($attributes)
    {
        $_d91345deaf5ce6430a776cdc17f9b138 = new PublishComments($attributes[$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["page_" . "id"]], $attributes[$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_69c6236c927bc93c5d062074967d83" . "4d"]]);
        return $_d91345deaf5ce6430a776cdc17f9b138;
    }
}